
From: Thomas Schlichter <thomas.schlichter@web.de>

the patch "sched-sibling-map-to-cpumask.patch" inroduced following compile
error on UP machines:

  CC [M]  arch/i386/kernel/cpu/cpufreq/p4-clockmod.o
arch/i386/kernel/cpu/cpufreq/p4-clockmod.c: In function `cpufreq_p4_setdc':
arch/i386/kernel/cpu/cpufreq/p4-clockmod.c:71: error: `cpu_sibling_map' undeclared (first use in this function)
arch/i386/kernel/cpu/cpufreq/p4-clockmod.c:71: error: (Each undeclared identifier is reported only once
arch/i386/kernel/cpu/cpufreq/p4-clockmod.c:71: error: for each function it appears in.)



---

 arch/i386/kernel/cpu/cpufreq/p4-clockmod.c |    4 ++++
 1 files changed, 4 insertions(+)

diff -puN arch/i386/kernel/cpu/cpufreq/p4-clockmod.c~p4-clockmod-sibling-map-fix arch/i386/kernel/cpu/cpufreq/p4-clockmod.c
--- 25/arch/i386/kernel/cpu/cpufreq/p4-clockmod.c~p4-clockmod-sibling-map-fix	2004-01-24 16:20:42.000000000 -0800
+++ 25-akpm/arch/i386/kernel/cpu/cpufreq/p4-clockmod.c	2004-01-24 16:20:42.000000000 -0800
@@ -68,7 +68,11 @@ static int cpufreq_p4_setdc(unsigned int
 	cpus_allowed = current->cpus_allowed;
 
 	/* only run on CPU to be set, or on its sibling */
+#ifdef CONFIG_SMP
 	affected_cpu_map = cpu_sibling_map[cpu];
+#else
+	affected_cpu_map = cpumask_of_cpu(cpu);
+#endif
 	set_cpus_allowed(current, affected_cpu_map);
         BUG_ON(!cpu_isset(smp_processor_id(), affected_cpu_map));
 

_
